function[a,PZ,PQ,lambdaP,lambdaZ,kappa,ENS,ENQ,EN,EWS,EWQ,EW]=odmitani(lambda,mi,n,m);
% [a,PZ,PQ,lambdaP,lambdaZ,kappa,ENS,ENQ,EN,EWS,EWQ,EW]=odmitani(lambda,mi,n,m)
%
% Vypot stacionrn rozloen, vyuit a charakteristiky systmu 
% hromadn obsluhy s omezenou kapacitou M|M|n|m|FIFO s odmtnm.
%
% Vstupn parametry:
% lambda .... parametr vstupnho proudu
% mi ........ parametr obsluhy
% n ......... poet linek obsluhy
% m ......... kapacita systmu
%
% Vstupn parametry:
% a ......... stacionrn rozloen
% PZ ........ pst, e pchoz zkaznk bude odmtnut
% PQ ........ pst, e pchoz zkaznk bude ekat ve front
% lambdaP ... stedn hodnota potu pijatch zkaznk za jednotku asu
% lambdaZ ... stedn hodnota potu odmtnutch zkaznk za jednotku asu
% ENS ....... stedn hodnota potu obsluhovanch zkaznk
% ENQ ....... stedn hodnota potu zkaznk ve front
% EN ........ stedn hodnota potu zkaznk v systmu
% EWS ....... stedn hodnota doby, kterou zkaznk strv obsluhou
% EWQ ....... stedn hodnota doby, kterou zkaznk strv ve front
% EW ........ stedn hodnota doby, kterou zkaznk strv v systmu

beta=lambda/mi;
ro=beta/n;
a(1)=inv(sum(beta.^(0:n-1)./factorial(0:n-1))+n^n/factorial(n)*sum(ro.^(n:m)));
a(2:n+1)=(beta.^(1:n)./factorial(1:n))*a(1);
a(n+2:m+1)=(n^n/factorial(n))*ro.^(n+1:m)*a(1);
PZ=a(m+1);
if ro==1
  PQ=a(n+1)*(m-n);
else
  PQ=a(n+1)*(1-ro^(m-n))/(1-ro);
end;
lambdaP=lambda*(1-PZ);
lambdaZ=lambda*PZ;
kappa=ro*(1-PZ);
ENS=beta*(1-PZ);
ENQ=sum(((n+1:m)-n).*a(n+2:m+1));
EN=ENQ+ENS;
EW=EN/lambda;
EWS=ENS/lambda;
EWQ=ENQ/lambda;