function[a,ENS,ENR,EN,lambdaR,kappa]=uzavreny(lambda,mi,n,m);
% [a,ENS,ENR,EN,lambdaR,kappa]=uzavreny(lambda,mi,n,m)
%
% Vypot stacionrn rozloen, vyuit a charakteristiky uzavenho systmu 
% hromadn obsluhy s omezenou kapacitou M|M|n|m|FIFO.
%
% Vstupn parametry:
% lambda .... parametr vstupnho proudu
% mi ........ parametr obsluhy
% n ......... poet linek obsluhy
% m ......... kapacita systmu
%
% Vstupn parametry:
% a ......... stacionrn rozloen
% ENS ....... stedn hodnota potu obsluhovanch zkaznk
% ENR ....... stedn hodnota potu zkaznk mimo systm
% EN ........ stedn hodnota potu zkaznk v systmu
% lambdaR ... stedn hodnota potu zkaznk pichzejcch za jednotku asu
%             (intenzita vstupnho proudu zkaznk)
% kappa ..... vyuit systmu

beta=lambda/mi;
ro=beta/n;
for k=2:m+1
  if k<=n+1
    x(k)=nchoosek(m,k-1)*beta^(k-1);
  else
    x(k)=n^n/factorial(n)*factorial(m)/factorial(m-k+1)*ro^(k-1);
  end;
end;
a(1)=1/(1+sum(x));
for k=2:m+1
  a(k)=x(k)*a(1);
end;
ENS=sum((0:n-1).*a(1:n))+n*sum(a(n+1:m+1));
EN=sum((0:m).*a);
ENR=m-EN;
lambdaR=lambda*ENR;
kappa=ro*ENR;